AI Driving Olympics Home Challenges Submissions Jobs

Submission 3444

Submission3444
Competingyes
Challengeaido2-LF-real-testing
UserAndrea Censi
Date submitted
Complete⏲️
DetailsReady to do eval0-videos-autobots.
Sisters
Result
Jobseval0: 22114 eval0-videos: 22153
Nexteval0-videos-autobots
User labelLane following baseline
Admin priority100
Blessing100
User priority

The highlights are available only to the owner and the admins.

The highlights are available only to the owner and the admins.

Evaluation jobs for this submission

Job IDsubmissionuseruser labelchallengestepstatusup to dateevaluatordate starteddate completeddurationmessage
233873444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videos-autobotsabortedno-0:04:42
The container "evalu [...]
The container "evaluator" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
233863444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videos-autobotsabortedno-0:00:14
KeyboardInterrupt: T [...]
KeyboardInterrupt:
Traceback (most recent call last):
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 743, in run_one
    run_docker(wd, project, cmd)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 1100, in run_docker
    subprocess.check_call(cmd0, cwd=cwd, stdout=tee_stdout, stderr=tee_stderr)
  File "/home/aleksanndar/miniconda3/lib/python3.7/subprocess.py", line 336, in check_call
    retcode = call(*popenargs, **kwargs)
  File "/home/aleksanndar/miniconda3/lib/python3.7/subprocess.py", line 319, in call
    return p.wait(timeout=timeout)
  File "/home/aleksanndar/miniconda3/lib/python3.7/subprocess.py", line 984, in wait
    return self._wait(timeout=timeout)
  File "/home/aleksanndar/miniconda3/lib/python3.7/subprocess.py", line 1618, in _wait
    (pid, sts) = self._try_wait(0)
  File "/home/aleksanndar/miniconda3/lib/python3.7/subprocess.py", line 1576, in _try_wait
    (pid, sts) = os.waitpid(self.pid, wait_flags)
KeyboardInterrupt
Hidden. If you are the author, please login using the top-right link or use the dashboard.
231883444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videos-autobotsabortedno-1:05:46
I can see how the jo [...]
I can see how the job 23188 is timeout because passed 3946 seconds and the timeout is 3600.0.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
231453444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videos-watchtowersabortedno-0:18:31
The container "evalu [...]
The container "evaluator" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
231443444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videos-autobotsabortedno-0:01:00Hidden. If you are the author, please login using the top-right link or use the dashboard.
221643444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videos-0abortedno-0:35:50
I can see how the jo [...]
I can see how the job 22164 is timeout because passed 2150 seconds and the timeout is 1800.0.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221613444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videos-0abortedno-0:35:12
I can see how the jo [...]
I can see how the job 22161 is timeout because passed 2112 seconds and the timeout is 1800.0.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221593444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videos-0abortedno-0:30:27
Waited 1802 seconds [...]
Waited 1802 seconds for container to finish. Giving up. 
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221543444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videos-0abortedno-0:30:28
Waited 1802 seconds [...]
Waited 1802 seconds for container to finish. Giving up. 
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221533444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videosabortedyes-0:08:52
The container "evalu [...]
The container "evaluator" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221523444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videosabortedno-0:14:13
The container "evalu [...]
The container "evaluator" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221513444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videosabortedno-0:17:43
The container "evalu [...]
The container "evaluator" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221503444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videosabortedno-0:35:12
I can see how the jo [...]
I can see how the job 22150 is timeout because passed 2112 seconds and the timeout is 1800.0.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221483444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videosabortedno-----
221393444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videosabortedno-----
221283444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videosabortedno-0:15:36
The container "evalu [...]
The container "evaluator" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221273444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videoshost-errorno-0:01:05
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job22127-549909', 'pull']:

   >  Command '['docker-compose', '-p', 'job22127-549909', 'pull']' returned non-zero exit status 1.

stdout | 

stderr | Some networks were defined but are not used by any service: evaluation
stderr | Pulling evaluator ...
stderr | 
stderr | Pulling evaluator ... error
stderr | 
stderr | ERROR: for evaluator  Get https://registry-1.docker.io/v2/amaurx/aido2-lf-real-testing-eval0-videos-evaluator/manifests/2019_05_14_16_58_58: Get https://auth.docker.io/token?scope=repository%3Aamaurx%2Faido2-lf-real-testing-eval0-videos-evaluator%3Apull&service=registry.docker.io: net/http: TLS handshake timeout
stderr | Get https://registry-1.docker.io/v2/amaurx/aido2-lf-real-testing-eval0-videos-evaluator/manifests/2019_05_14_16_58_58: Get https://auth.docker.io/token?scope=repository%3Aamaurx%2Faido2-lf-real-testing-eval0-videos-evaluator%3Apull&service=registry.docker.io: net/http: TLS handshake timeout
stderr | 
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221263444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videoshost-errorno-0:01:04
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job22126-208715', 'pull']:

   >  Command '['docker-compose', '-p', 'job22126-208715', 'pull']' returned non-zero exit status 1.

stdout | 

stderr | Some networks were defined but are not used by any service: evaluation
stderr | Pulling evaluator ...
stderr | 
stderr | Pulling evaluator ... error
stderr | 
stderr | ERROR: for evaluator  Get https://registry-1.docker.io/v2/: net/http: TLS handshake timeout
stderr | Get https://registry-1.docker.io/v2/: net/http: TLS handshake timeout
stderr | 
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221253444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videosabortedno-0:17:35
The container "evalu [...]
The container "evaluator" exited with code 1.


Look at the logs for the container to know more about the error.
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221183444Andrea CensiLane following baselineaido2-LF-real-testingeval0-videosabortedno-13:38:33
Waited 1202 seconds [...]
Waited 1202 seconds for container to finish. Giving up. 
Hidden. If you are the author, please login using the top-right link or use the dashboard.
221143444Andrea CensiLane following baselineaido2-LF-real-testingeval0successyes-2 days, 23:14:08
Could not access IPF [...]
Could not access IPFS data:
Traceback (most recent call last):
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 1182, in download_artefacts
    try_to_get_hash(client, sha256hex)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/timeout_decorator/timeout_decorator.py", line 81, in new_function
    return function(*args, **kwargs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 1133, in try_to_get_hash
    res = client.file_ls(qm)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/ipfsapi/client/__init__.py", line 205, in wrapper
    return value(*args, **kwargs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/ipfsapi/client/__init__.py", line 242, in file_ls
    return self._client.request('/file/ls', args, decoder='json', **kwargs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/ipfshttpclient/http.py", line 44, in wrapper
    return func(self, *args, **merged)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/ipfshttpclient/http.py", line 364, in request
    files, headers, data, timeout=timeout)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/ipfshttpclient/http.py", line 282, in _request
    timeout=timeout)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/ipfshttpclient/http.py", line 245, in _do_request
    return requests.request(*args, **kwargs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/ipfshttpclient/requests_wrapper.py", line 240, in request
    return session.request(method=method, url=url, **kwargs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/ipfshttpclient/requests_wrapper.py", line 219, in request
    return super(Session, self).request(method, url, *args, **kwargs)
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
    timeout=timeout
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 384, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "/home/aleksanndar/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 380, in _make_request
    httplib_response = conn.getresponse()
  File "/home/aleksanndar/miniconda3/lib/python3.7/http/client.py", line 1321, in getresponse
    response.begin()
  File "/home/aleksanndar/miniconda3/lib/python3.7/http/client.py", line 296, in begin
    version, status, reason = self._read_status()
  File "/home/aleksanndar/miniconda3/lib/python3.7/http/client.py", line 257, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/home/aleksanndar/miniconda3/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/timeout_decorator/timeout_decorator.py", line 72, in handler
    _raise_exception(timeout_exception, exception_message)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/timeout_decorator/timeout_decorator.py", line 45, in _raise_exception
    raise exception()
timeout_decorator.timeout_decorator.TimeoutError: 'Timed Out'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 541, in get_cr
    allow_host_network=allow_host_network, use_ipfs=use_ipfs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 605, in run_single
    prepare_dir(wd, aws_config, steps2artefacts, use_ipfs=use_ipfs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 877, in prepare_dir
    download_artefacts(aws_config, steps2artefacts, previous_steps_dir, use_ipfs=use_ipfs)
  File "/home/aleksanndar/.local/lib/python3.7/site-packages/duckietown_challenges_runner/runner.py", line 1186, in download_artefacts
    raise IPFSException(msg)
duckietown_challenges_runner.runner.IPFSException: Could not get IPFS hash QmSHgF3iL738Rnf9oLbJo2Gn5dBHoTvNXQpjC5hn3gCJ32
Hidden. If you are the author, please login using the top-right link or use the dashboard.
driven_lanedir_consec_median8.12
survival_time_median50


other stats
01_start
details{"1_01attemptDate": {"name": "1_01attemptDate", "output": "2019-05-14", "readable_string": "Attempt date"}, "1_03autolabName": {"name": "1_03autolabName", "output": "ETHZ", "readable_string": "Autolab"}, "1_04operatorName": {"name": "1_04operatorName", "output": "Gian", "readable_string": "Operator's name"}}
02_autolab_setup
details{"2_04ledLightsOn": {"name": "2_04ledLightsOn", "output": true, "readable_string": "Ceiling led lightbulbs are on with a bright white color"}, "2_01mapConformity": {"name": "2_01mapConformity", "output": true, "readable_string": "Conformity of the map"}, "2_05curtainsClosed": {"name": "2_05curtainsClosed", "output": true, "readable_string": "The curtains are closed"}, "2_02pairedHostnames": {"name": "2_02pairedHostnames", "output": true, "readable_string": "Pairing hostnames to duckiebot-IDs"}, "2_03ceilingLightsOff": {"name": "2_03ceilingLightsOff", "output": true, "readable_string": "Ceiling default neon lights are off"}, "2_multi01_duckiebot_select_autobot01": {"name": "2_multi01_duckiebot_select_autobot01", "output": "active", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot02": {"name": "2_multi01_duckiebot_select_autobot02", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot03": {"name": "2_multi01_duckiebot_select_autobot03", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot04": {"name": "2_multi01_duckiebot_select_autobot04", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot05": {"name": "2_multi01_duckiebot_select_autobot05", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot06": {"name": "2_multi01_duckiebot_select_autobot06", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot07": {"name": "2_multi01_duckiebot_select_autobot07", "output": "not_used", "readable_string": "Selection among available duckiebot"}, "2_multi01_duckiebot_select_autobot08": {"name": "2_multi01_duckiebot_select_autobot08", "output": "not_used", "readable_string": "Selection among available duckiebot"}}
03_setup_validation
details{"3_11freeMemory": {"name": "3_11freeMemory", "output": true, "readable_string": "All agents have enough free memory"}, "3_01robotsAreOn": {"name": "3_01robotsAreOn", "output": true, "readable_string": "All duckiebots are on"}, "3_09agentsPinged": {"name": "3_09agentsPinged", "output": true, "readable_string": "All agents have been pinged"}, "3_03duckiesOnBots": {"name": "3_03duckiesOnBots", "output": true, "readable_string": "All autobots received yeelow or black duckies (according to active of passive)"}, "3_08attemptNumber": {"name": "3_08attemptNumber", "output": "1", "readable_string": "Attempt number"}, "3_04batteryChecked": {"name": "3_04batteryChecked", "output": true, "readable_string": "All duckiebots have enough battery"}, "3_06agentPlacement": {"name": "3_06agentPlacement", "output": true, "readable_string": "Placement of the duckiebots"}, "3_02aprilTagsPlates": {"name": "3_02aprilTagsPlates", "output": true, "readable_string": "All duckiebots have their april tag backplate, in the right orientation"}, "3_05agentsPluggedIn": {"name": "3_05agentsPluggedIn", "output": true, "readable_string": "All non-movable agents (watchtowers and trafficlights) are plugged in (alimentation and ethernet)"}, "3_10readWriteMemory": {"name": "3_10readWriteMemory", "output": true, "readable_string": "All agents have been tested for read and write on their logging device (USB stick)"}, "3_07lightCheckedReport": {"name": "3_07lightCheckedReport", "output": "", "readable_string": "Report on light conditions"}, "3_hidden_autolab_helper_command": {"name": "3_hidden_autolab_helper_command", "output": "python3 autolab_helper_script.py 3444 aido2-LF-real-testing autobot01 ", "readable_string": "The autolab helper script launch command"}}
04_initialization
details{"4_01duckiebotInterfaceStarted": {"name": "4_01duckiebotInterfaceStarted", "output": true, "readable_string": "All duckiebots have stared their duckiebot interface container"}, "4_02submissionContainerLoaded": {"name": "4_02submissionContainerLoaded", "output": true, "readable_string": "All active duckiebots have loaded the submission container"}, "4_04agentsStartedLoggerContainers": {"name": "4_04agentsStartedLoggerContainers", "output": true, "readable_string": "All agents have loaded and started the logger container"}, "4_03passiveDuckiebotsContainerLoaded": {"name": "4_03passiveDuckiebotsContainerLoaded", "output": false, "readable_string": "All passive duckiebots have loaded the passive behavior container"}}
05_confirmation
details{"5_01operatorIsReady": {"name": "5_01operatorIsReady", "output": true, "readable_string": "The operator is ready to start"}, "5_02serverInitializationError": {"name": "5_02serverInitializationError", "output": "", "readable_string": "The server initialization error message"}}
06_execution
details{"6_06visualCheck": {"name": "6_06visualCheck", "output": "", "readable_string": "Comment from operator on visual check of launching"}, "6_03beginTimeStamp": {"name": "6_03beginTimeStamp", "output": "1557855272.832762", "readable_string": "Beginning timestamp (useful for attempt evaluation)"}, "6_01launchedAttempt": {"name": "6_01launchedAttempt", "output": true, "readable_string": "The attempt was successfully launched"}, "6_02serverLaunchError": {"name": "6_02serverLaunchError", "output": "", "readable_string": "The server launch error message"}, "6_09watchtowerLoggings": {"name": "6_09watchtowerLoggings", "output": false, "readable_string": "Watchtowers started logging data"}, "6_10serverLoggingCheck": {"name": "6_10serverLoggingCheck", "output": "", "readable_string": "Logging error message from the server"}, "6_07activeDuckiebotLogging": {"name": "6_07activeDuckiebotLogging", "output": false, "readable_string": "Active duckiebots started logging data"}, "6_08passiveDuckiebotLogging": {"name": "6_08passiveDuckiebotLogging", "output": false, "readable_string": "Passive duckiebots started logging data"}, "6_04activeDuckiebotsAreRunningVisualCheck": {"name": "6_04activeDuckiebotsAreRunningVisualCheck", "output": true, "readable_string": "Active duckiebots started moving after launch"}, "6_05passiveDuckiebotsAreRunningVisualCheck": {"name": "6_05passiveDuckiebotsAreRunningVisualCheck", "output": false, "readable_string": "Passive duckiebots started moving after launch"}}
07_monitoring_and_termination
details{"7_05errorReason": {"name": "7_05errorReason", "output": "no_error", "readable_string": "Reason for error"}, "7_01endTimeStamp": {"name": "7_01endTimeStamp", "output": "1557855328.690264", "readable_string": "end of the experiment timestamp"}, "7_03failureReason": {"name": "7_03failureReason", "output": "no_failure", "readable_string": "Reason for failure"}, "7_06errorComments": {"name": "7_06errorComments", "output": "", "readable_string": "Comment on error reason"}, "7_02attemptSuccess": {"name": "7_02attemptSuccess", "output": "success", "readable_string": "Outcome of the attempt"}, "7_04failureComments": {"name": "7_04failureComments", "output": "", "readable_string": "Comment on failure reason"}, "7_07outcomechecking": {"name": "7_07outcomechecking", "output": false, "readable_string": "Checked that the outcome matched the given reasons"}}
08_retrieving_and_checking_logs
details{"8_01bagsCopied": {"name": "8_01bagsCopied", "output": true, "readable_string": "All bags were successfully copied"}, "8_03bagsClipped": {"name": "8_03bagsClipped", "output": true, "readable_string": "All bags were clipped with the time stamps"}, "8_02bagsVerified": {"name": "8_02bagsVerified", "output": true, "readable_string": "The contents of all bags was verified"}, "8_04agentsCleaned": {"name": "8_04agentsCleaned", "output": true, "readable_string": "All agents were cleaned from bags"}}
09_evaluation
details{"9_02timeTravelled": {"name": "9_02timeTravelled", "output": "50", "readable_string": "How many seconds did the Duckiebot successfully travel"}, "9_01tilesTravelled": {"name": "9_01tilesTravelled", "output": "14", "readable_string": "How many tiles did the Duckiebot successfully travel"}}
10_saving_data
details{"10_02dataIpfsHash": {"name": "10_02dataIpfsHash", "output": "QmSHgF3iL738Rnf9oLbJo2Gn5dBHoTvNXQpjC5hn3gCJ32", "readable_string": "IPFS hash of the experiment"}, "10_04cleanupCheck": {"name": "10_04cleanupCheck", "output": true, "readable_string": "The IPFS Docker terminal and the local storage were cleaned"}, "10_05autolabCleaned": {"name": "10_05autolabCleaned", "output": true, "readable_string": "Autolab was cleaned after the end of the experiment"}, "10_01dataUploadCheck": {"name": "10_01dataUploadCheck", "output": true, "readable_string": "The data was uploaded to the IDSC NAS"}, "10_03dataPinningCheck": {"name": "10_03dataPinningCheck", "output": true, "readable_string": "The data is accessible through IPFS"}}
221113444Andrea CensiLane following baselineaido2-LF-real-testingeval0host-erroryes-0:00:11
Error while running [...]
Error while running Docker Compose:

Could not run ['docker-compose', '-p', 'job22111-311581', 'up', '-d', '--renew-anon-volumes']:

   >  Command '['docker-compose', '-p', 'job22111-311581', 'up', '-d', '--renew-anon-volumes']' returned non-zero exit status 1.

stdout | 

stderr | Creating network "job22111-311581_evaluation" with the default driver
stderr | Creating volume "job22111-311581_fifos" with default driver
stderr | Creating job22111-311581_evaluator_1 ...
stderr | 
stderr | Creating job22111-311581_evaluator_1 ... error
stderr | 
stderr | ERROR: for job22111-311581_evaluator_1  Cannot start service evaluator: driver failed programming external connectivity on endpoint job22111-311581_evaluator_1 (191011e1447f5269d3e9cc6b0b4e7cea45b393c14df3594a71e8aa4d172bc31d): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | 
stderr | ERROR: for evaluator  Cannot start service evaluator: driver failed programming external connectivity on endpoint job22111-311581_evaluator_1 (191011e1447f5269d3e9cc6b0b4e7cea45b393c14df3594a71e8aa4d172bc31d): Bind for 0.0.0.0:8005 failed: port is already allocated
stderr | Encountered errors while bringing up the project.
stderr | 
Hidden. If you are the author, please login using the top-right link or use the dashboard.